! Copyright (C) GFD Dennou Club, 2000-2001.  All rights reserved

module dc_types

    implicit none

    integer, parameter:: DOUBLE = kind(0.0d0)
    integer, parameter:: TOKEN = 32
    integer, parameter:: STRING = 500

    !
    ! netCDF Fortran インターフェイスの型パラメタ
    ! (netcdf.inc には存在しない)
    !
    integer, parameter:: NF_KIND_INT1 = selected_int_kind(2)
    integer, parameter:: NF_KIND_INT2 = selected_int_kind(4)
end module
